"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355260>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xffff803553a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355300>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355440>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xffff803554e0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355580>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355620>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff803556c0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355760>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355800>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xffff803558a0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355940>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xffff803559e0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355a80>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355b20>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355bc0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355c60>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355d00>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355da0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355e40>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355ee0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xffff80355f80>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356020>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xffff803560c0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356160>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356200>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xffff803562a0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356340>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xffff803563e0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356480>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356520>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xffff803565c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356660>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356700>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xffff803567a0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356840>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xffff803568e0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356980>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356a20>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356ac0>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356b60>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356c00>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356ca0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356d40>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356de0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356e80>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356f20>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff80356fc0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357060>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357100>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xffff803571a0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357240>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff803572e0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357380>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357420>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff803574c0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357560>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357600>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xffff803576a0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357740>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xffff803577e0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357880>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357920>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xffff803579c0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357a60>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357b00>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357ba0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357c40>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357ce0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357d80>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357e20>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357ec0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xffff80357f60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xffff80370040>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xffff803700e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xffff80370180>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xffff80370220>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xffff803702c0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xffff80370360>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xffff803704a0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xffff80370400>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xffff80370540>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xffff803705e0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xffff80370680>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xffff80370720>)]
name: str = 'fr_HOCCN'
